PamCut: TofBetaRangeCut Class Reference

# TofBetaRangeCut Class Reference

The TofBetaRange cut. This cut selects a range of beta values. Note that beta can be either positive (downward going particle) or negative (upward going particle). More...

`#include <TofBetaRangeCut.h>`

Inheritance diagram for TofBetaRangeCut:

List of all members.

## Public Member Functions
| TofBetaRangeCut (const char *cutName, int *trackTof=NULL, float resMax=10., float qualCut=10., float chi2Cut=20., float minBeta=-100., float maxBeta=100.)
| Constructor. The parameters are: the TOF-index for the track which is necessary to input to derive the beta; resMax, qualCut and chi2Cut for the quality of beta; the minimum and maximum beta values. Various combinations of quality parameters are possible: default low-quality beta (used for beta[12]): 10.,10.,20.; medium-quality beta: 5.,15.,4.; high-quality beta: 3.,20.,3. NOTE: beta can be either positive (downward going particle) or negative (upward going particle). Beta = 100 means beta calculation was not successful.
| ~TofBetaRangeCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The TofBetaRange check.
## Private Attributes
int * | _trackTof
float | _resMax
float | _qualCut
float | _chi2Cut
float | _minBeta
float | _maxBeta

## Detailed Description

The TofBetaRange cut. This cut selects a range of beta values. Note that beta can be either positive (downward going particle) or negative (upward going particle).

Definition at line 20 of file TofBetaRangeCut.h.

## Constructor & Destructor Documentation

TofBetaRangeCut::TofBetaRangeCut | ( | const char * | cutName,
|  | int * | trackTof = `NULL`,
|  | float | resMax = `10.`,
|  | float | qualCut = `10.`,
|  | float | chi2Cut = `20.`,
|  | float | minBeta = `-100.`,
|  | float | maxBeta = `100.` |
| ) |  |  | `[inline]`

Constructor. The parameters are: the TOF-index for the track which is necessary to input to derive the beta; resMax, qualCut and chi2Cut for the quality of beta; the minimum and maximum beta values. Various combinations of quality parameters are possible: default low-quality beta (used for beta[12]): 10.,10.,20.; medium-quality beta: 5.,15.,4.; high-quality beta: 3.,20.,3. NOTE: beta can be either positive (downward going particle) or negative (upward going particle). Beta = 100 means beta calculation was not successful.

Parameters:

  | cutName | The cut's name.
  | trackTof | Pointer to the TOF-index indicating the track to be used when evaluating the beta (default value for TOF_index is 0, corresponding to the TOF stand-alone track [no TRK information to build the TOF stand-alone track]). The pointer to the TOF_index for TRK-track as given by TrkPhSinCut can be used.
  | resMax | Default: 10. (equivalent to beta[12])
  | qualCut | Default: 10. (equivalent to beta[12])
  | chi2Cut | Default: 20. (equivalent to beta[12])
  | minBeta | the minimum beta value (with sign)
  | maxBeta | the maximum beta value (with sign)

Definition at line 40 of file TofBetaRangeCut.h.

TofBetaRangeCut::~TofBetaRangeCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 44 of file TofBetaRangeCut.h.

## Member Function Documentation

int TofBetaRangeCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The TofBetaRange check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if particle beta is inside the specified range (minBeta < beta < maxBeta)

  0 otherwise

Implements PamCut.

Definition at line 12 of file TofBetaRangeCut.cpp.

References _chi2Cut, _maxBeta, _minBeta, _qualCut, _resMax, _trackTof, and CUTOK.

## Member Data Documentation

float TofBetaRangeCut::_chi2Cut`[private]`

Definition at line 58 of file TofBetaRangeCut.h.

Referenced by Check().

float TofBetaRangeCut::_maxBeta`[private]`

Definition at line 60 of file TofBetaRangeCut.h.

Referenced by Check().

float TofBetaRangeCut::_minBeta`[private]`

Definition at line 60 of file TofBetaRangeCut.h.

Referenced by Check().

float TofBetaRangeCut::_qualCut`[private]`

Definition at line 58 of file TofBetaRangeCut.h.

Referenced by Check().

float TofBetaRangeCut::_resMax`[private]`

Definition at line 58 of file TofBetaRangeCut.h.

Referenced by Check().

int* TofBetaRangeCut::_trackTof`[private]`

Definition at line 57 of file TofBetaRangeCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TofCuts/TofBetaRangeCut/TofBetaRangeCut.h
- TofCuts/TofBetaRangeCut/TofBetaRangeCut.cpp